* {
    /*margin: 0;*/
    padding: 0;
    overflow: none;
}

#app_slider {
    margin-bottom: 4rem;
}
.slider, .home-slider {
    position: relative;
    margin: 0 auto 2rem auto;
    overflow: hidden;
    user-select: none;
}
.slider-before, .slider-after {
    position: absolute;
    top: 0;
    left: 0;
    width: inherit;
    height: inherit;
    overflow: hidden;
    user-select: none;
}
.home-slider .slider-before, .home-slider .slider-after{
    height: 600px;    
}
.slider-before {
    width: 50%;
}
/* .slider img {
    width: -moz-available;          
    width: -webkit-fill-available; 
    width: fill-available;
    height: -moz-available;          
    height: -webkit-fill-available; 
    height: fill-available;
} */

/*--- drag ---*/
.drag-handle {
    display: flex;
    flex-flow: column;
    align-items: center;
    position: absolute;
    left: 50%;
    width: 30px;
    height: 100%;
    margin-left: -15px;
    cursor: ew-resize;
    touch-action: none;
}
.drag-handle:after, .drag-handle:before {
    content: "";
    display: block;
    flex-grow: 1;
    background: #fff;
    box-shadow: 0 0 3px rgb(0 0 0 / 20%);
    width: 2px;
}

.drag-handle-box {
    position: relative;
    width: 30px;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-shrink: 0;
    border: 2px solid;
    border-radius: 50%;
    box-shadow: 0 0 3px rgb(0 0 0 / 20%);
    color: #fff;
}
.drag-handle-box * {
    border:none;
}
.drag-handle-box:before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: #fff;
    border-radius: inherit;
    opacity: 0;
    transition: opacity .2s;
}
.drag-handle svg {
    max-height: 100%;
    fill: #fff;
    fill-rule: evenodd;
}
.slider-after span, .slider-before span {
    position: absolute;
    bottom: 20px;
    font-size: 32px;
    font-weight: 500;
    color: #fff;
}
.slider-before span {
    left: 20px;
}
.slider-after span {
    right: 20px;
}

/*--- Slider-list ---*/
.slider-list_item {
    max-height: 200px;
    overflow: hidden;
    display: flex;
    justify-content: center;
    cursor: pointer;
    margin-bottom: 1rem;
}
.slider-list_item img {
    max-height: inherit;
}

@media (min-width: 768px) {
    .slider {
        max-width: 830px;
        min-height: 820px;
    }
    .home-slider {
        max-width: 800px;
        min-height: 600px;
    }
}
@media (max-width: 768px) {
    .slider {
        max-width: 100%;
        height: 50vh;
    }
    .home-slider {
        max-width: 100%;
        height: 50vh;
    }
    .slider img, .home-slider img {
        max-width: 200%;
        height: 100%;
    }
}
